
--/script DEFAULT_CHAT_FRAME:SetMaxLines(100000)

--quete déco : 9655
--quete déco : 10013
--quete déco : 10015
--

DBquetes2_numquete_max = 35000;
DBquetes2_numquete_old = 0;

local Saved_DBQS2_ChatFrame_OnEvent = ChatFrame_OnEvent;
function DBQS2_ChatFrame_OnEvent(self,event,...)

local saddon;
local ipos;
local ideb;
local scode;
local smot;
local inumquete;
local iniv;
local slienbon;
local ipos2;
local ideb2;

local arg1 = ...;

	if ( strsub(event,1,16) == "CHAT_MSG_WHISPER" ) then
		ipos = 0;
		ideb = ipos + 1;
		ipos = strfind(arg1,"@",ideb);
		if ( ipos ) then
			ideb = ipos + 1;
			ipos = strfind(arg1,"@",ideb);
			if ( ipos ) then
				saddon = strsub(arg1,ideb,ipos-1);
				if ( saddon == "DBQS2" ) then
					if ( event == "CHAT_MSG_WHISPER" ) then
						ideb = ipos + 1;
						ipos = strfind(arg1,"@",ideb);
						if ( ipos ) then
							scode = strsub(arg1,ideb,ipos-1);
							if ( scode == "QT01" ) then
								if ( this:GetName() == "ChatFrame1" ) then
								else
									return nil;
								end
								ideb = ipos + 1;
								ipos = strfind(arg1,"@",ideb);
								if ( ipos ) then
									smot = strsub(arg1,ideb,ipos-1);
									slienbon = strsub(arg1,ipos+1,ipos+1);
									if ( slienbon == "|" ) then
DEFAULT_CHAT_FRAME:AddMessage("smot = "..smot);
										ideb2 = ideb;
										ipos2 = strfind(arg1,":",ideb2);
										if ( ipos2 ) then
											inumquete = tonumber(strsub(arg1,ideb2,ipos2-1));
--DEFAULT_CHAT_FRAME:AddMessage("inumquete = "..inumquete);
											iniv = tonumber(strsub(arg1,ipos2+1,ipos-1));
--DEFAULT_CHAT_FRAME:AddMessage("iniv = "..iniv);
											if ( DBquetes2 and DBquetes2[inumquete] ) then
												DBquetes2[inumquete][-2] = iniv;
												if ( inumquete == DBquetes2_numquete ) then
													DBquetes2_numquete_niv = 90;
												end
--DEFAULT_CHAT_FRAME:AddMessage("fenetre = "..(this:GetName() or ""));
DEFAULT_CHAT_FRAME:AddMessage("quete "..inumquete.." : |cffffff00|Hquest:"..inumquete..":"..iniv.."|h["..DBquetes2[inumquete][0].."]|h|r");
											end
										end
									else
--DEFAULT_CHAT_FRAME:AddMessage("smot = "..smot);
										ideb2 = ideb;
										ipos2 = strfind(arg1,":",ideb2);
										if ( ipos2 ) then
											inumquete = tonumber(strsub(arg1,ideb2,ipos2-1));
--DEFAULT_CHAT_FRAME:AddMessage("inumquete = "..inumquete);
											iniv = tonumber(strsub(arg1,ipos2+1,ipos-1));
--DEFAULT_CHAT_FRAME:AddMessage("iniv = "..iniv);
											--if ( DBQS2 and DBQS2[inumquete] ) then
											--	if ( DBQS2[inumquete] ) then
											--	else
											--		DBQS2[inumquete][3] = iniv;
											--	end
											--end
										end
									end
								end
							end
						end
						return nil;
					else
						return nil;
					end
				end
			else
			end
		else
		end
	end
	Saved_DBQS2_ChatFrame_OnEvent(self,event,...);
end
ChatFrame_OnEvent = DBQS2_ChatFrame_OnEvent;

--/script SetItemRef("quest:9279:1")
--/script SetItemRef("quest:1380:1")
--/script SetItemRef("quest:1385:1")
--/script SetItemRef("quest:1386:1")
--/script SetItemRef("quest:1390:1")
--/script SetItemRef("quest:1400:1")
--/script SetItemRef("quest:89:0")
--/script i=0
--/script i=1503
--/script i=1800
--/script i=i+1;DBQS2_afficherquete(i);
--	1036	plantage
--	1367	plantage
--	1368	plantage
--	1369	plantage
--	1370	plantage
--	1371	plantage
--	? plantage
--	1385	plantage
--	1386	plantage
--/script i=i+1;DEFAULT_CHAT_FRAME:AddMessage("quete "..i);SetItemRef("quest:"..i..":0")

--/script DEFAULT_CHAT_FRAME:AddMessage(DBquetes2_Tooltip1TextLeft1:GetText())

--/script DEFAULT_CHAT_FRAME:AddMessage(DBquetes2_Tooltip1TextLeft1:GetText())

--/script DBCS_ecrirecodedutexte(GetQuestLink(2));
--/script DBCS_ecrirecodedutexte(GameTooltipTextLeft1:GetText());
--/script DBCS_ecrirecodedutexte(DBquetes2_Tooltip1TextLeft1:GetText());
--/script DBCS_ecrirecodedutexte(DBquetes2_Tooltip1TextLeft2:GetText());
--/script DBCS_ecrirecodedutexte(DBquetes2_Tooltip1TextLeft3:GetText());
--/script DBCS_ecrirecodedutexte(DBquetes2_Tooltip1TextLeft4:GetText());
--/script DBCS_ecrirecodedutexte(DBquetes2_Tooltip1TextLeft5:GetText());
--/script DBCS_ecrirecodedutexte(DBquetes2_Tooltip1TextLeft6:GetText());
--	1	=	"nom de la quete"
--	2	=	" "
--	3	=	"objectif de la quete"
--	4	=	" "
--	5	=	"Conditions\194\160:"		=	"Condtions :"
--	6	=	" - Chat noir x\194\1602"	=	" - Chat noir x 2"
--	6	=	" - Explorer machin"		=	" - Explorer machin"

--/script DEFAULT_CHAT_FRAME:AddMessage(DBQS2_lienquetebynum(1))
function DBQS2_lienquetebynum(inum)
--	"|Hplayer:"..PlayerName.."|h["..PlayerName.."]|h"

	if ( inum ) then
		return "|cffffff00|Hquest:"..inum..":-1|h[quete "..inum.."]|h|r"
	else
		return nil;
	end

end

--/script DBQS2_afficherquete(9279)
--/script DBQS2_afficherquete(27)
--/script DBQS2_afficherquete(28)
--/script DBQS2_afficherquete(29)
--/script DBQS2_afficherquete(1036)	--	plantage
--/script DBQS2_afficherquete(1)
--/script DBquetes2_Tooltip:Hide();
function DBQS2_afficherquete(inum,iniv)

local snomquete;

	if ( iniv == nil ) then
		iniv = -1;
	end

	snomquete = "blabla";
	if ( DBquetes2[inum] and DBquetes2[inum][0] ) then
		snomquete = DBquetes2[inum][0];
	end
	DEFAULT_CHAT_FRAME:AddMessage("quete "..inum.." : |cffffff00|Hquest:"..inum..":"..iniv.."|h["..snomquete.."]|h|r");
	--DBquetes2_Tooltip:SetOwner(UIParent,"ANCHOR_CURSOR");
	--DBquetes2_Tooltip:SetHyperlink("quest:"..inum..":0");
	--DBquetes2_Tooltip:Show();
	--SetItemRef("quest:"..inum..":0")

end

--/script DBQS2_enreg_DBquetes2_numquete(00000);
--/script DBQS2_enreg_DBquetes2_numquete(01000);
--/script DBQS2_enreg_DBquetes2_numquete(9500);
--/script DBQS2_enreg_DBquetes2_numquete(11000);
--/script DBQS2_enreg_DBquetes2_numquete(11250);
--/script DBQS2_enreg_DBquetes2_numquete(13400);
function DBQS2_enreg_DBquetes2_numquete(inum)

	DBquetes2_numquete = inum;
	DBquetes2_numquete_niv = -3;
	DBquetes2_config["numquete"] = DBquetes2_numquete;
	DBquetes2_config["numquete_niv"] = DBquetes2_numquete_niv;

end

--/script DBQS2_compter_quetes()
--	6394 quetes ( hordes + alliance )

--/script i = 12500
--/script DBquetes2_numquete_old = 12100

--/script DBquetes2_numquete_old = 11600
--/script DBquetes2_numquete_old = 11139

--/script DBquetes2_numquete_old = 11800
--/script DBquetes2_numquete_old = 11730
--/script DBquetes2_Tooltip1:Hide();

--/script DBquetes2_numquete_old = 12200
--/script DBquetes2_numquete_old = 

--/script DBquetes2_numquete_old = 13400
--/script DBquetes2_numquete_old = 12050

--/script DBCS_ecrirecodedutexte(DBquetes2_Tooltip1TextLeft6:GetText())

--espace
--moins
--espace
--espace
--espace
--x
--194
--160
--n

--/script DBquetes2_Tooltip1:Hide();

--/script i = 12000

--/script i = 0

--/script i=i+1;DBQS2_enreg_quete(i);

--	plantage	:	10746
--	plantage	:	10738	->	10741
--	plantage	:	10733	->	10736
--	plantage	:	10725	->	10728
--	plantage	:	10558	->	10561
--	plantage	:	10464	->	10475
--	plantage	:	10459
--	plantage	:	9871		->	9872
--	plantage	:	9613
--	plantage	:	9563
--	plantage	:	9378
--	plantage	:	9248
--	plantage	:	9246
--	plantage	:	9243
--	plantage	:	9240
--	plantage	:	9236		->	9237
--	plantage	:	9121		->	9123
--	plantage	:	8689		->	8712
--	plantage	:	8655		->	8669
--	plantage	:	8637		->	8641
--	plantage	:	8621		->	8634
--	plantage	:	8602		->	8603
--	plantage	:	8596
--	plantage	:	8592		->	8594
--	plantage	:	8572		->	8574

--/script SetItemRef("quest:1400:1")
--/script SetItemRef("quest:9316:1")

--/script DBQS2_afficherquete(1036)	--	plantage
--/script DBQS2_afficherquete(1367)	--	plantage
--/script DBQS2_afficherquete(1372)
--	1369	plantage
--	1370	plantage
--	1371	plantage
--	1372-1384 bons
--	? plantage
--	1385	plantage
--	1386	plantage
--/script DBQS2_afficherquete(4620)	--	plantage
--/script DBQS2_afficherquete(4621)	--	plantage
--	5502 plantage
--/script DBQS2_afficherquete(5503)	--	plantage
--/script DBQS2_afficherquete(5504)	--	plantage
--/script DBQS2_afficherquete(5507)	--	plantage
--/script DBQS2_afficherquete(5513)	--	plantage
--/script DBQS2_afficherquete(5517)	--	plantage
--/script DBQS2_afficherquete(5521)	--	plantage
--/script DBQS2_afficherquete(5524)	--	plantage
--/script DBQS2_afficherquete(5530)	--	plantage
--/script DBQS2_afficherquete(5532)	--	plantage
--/script DBQS2_afficherquete(6823)	--	plantage
--	plantage	:	8053	->	8079
--	plantage	:	8196
--	plantage	:	8243	->	8246
--	plantage	:	8260	->	8261
--	plantage	:	8263	->	8265
--	plantage	:	8470	->	8471
--	plantage	:	8481
--	plantage	:	8484	->	8485
--	plantage	:	8544
--	plantage	:	8548
--	plantage	:	8556	->	8562
--/script DBQS2_enreg_quete(9279);
--/script DBQS2_enreg_quete(783);
--/script DBQS2_enreg_quete(8897);
--/script DBQS2_enreg_quete(8871);
--/script DBQS2_enreg_quete(11970);
--/script DBQS2_enreg_quete(11731);
--/script DBquetes2_Tooltip1:Hide();
--/script DBQS2_afficherquete(783)
--/script DBQS2_afficherquete(8897)
--/script DBquetes2_Tooltip:Hide();
--/script DBquetes2_numquete_old = 10750
--/script DBQS2_enreg_quete()
function DBQS2_enreg_quete(inum,iafficher)

local snomquete;
local i = 0;
local j;
local bbon;
local sobjectif;
local ipos;
local bobj;
local iobj;
local inbligne;
local icas;
local bnil;

	if ( inum == nil ) then
		bnil = true;
		inum = DBquetes2_numquete_old + 1;
	else
		bnil = false;
		DBquetes2_Tooltip1:SetOwner(UIParent,"ANCHOR_CURSOR");
		DBquetes2_Tooltip1:SetHyperlink("quest:"..inum..":0");
		DBquetes2_Tooltip1:Show();
		DBquetes2_numquete_old = inum;
	end
	if ( iafficher == nil ) then
		iafficher = 1;
	end
	if ( DBquetes2_numquete_old > 0 and DBquetes2_Tooltip1:IsShown() ) then
		i = i + 1;
		snomquete = _G["DBquetes2_Tooltip1TextLeft"..i]:GetText();
		if ( snomquete ) then
			ipos = strfind(snomquete,"<",1);
			if ( ipos == nil ) then
				ipos = strfind(snomquete,"%[",1);
			end
			if ( ipos ) then
				DBquetes2[DBquetes2_numquete_old] = nil;
				if ( iafficher == 1 ) then
					DEFAULT_CHAT_FRAME:AddMessage("quete "..DBquetes2_numquete_old.." : |cffffff00|Hquest:"..DBquetes2_numquete_old..":-1|h["..snomquete.."]|h|r");
				end
			else
				if ( iafficher == 1 ) then
					DEFAULT_CHAT_FRAME:AddMessage("quete "..DBquetes2_numquete_old.." : |cffffff00|Hquest:"..DBquetes2_numquete_old..":-1|h["..snomquete.."]|h|r");
				end
				if ( DBquetes2[DBquetes2_numquete_old] == nil ) then
					DEFAULT_CHAT_FRAME:AddMessage("nouvelle quete "..DBquetes2_numquete_old.." : |cffffff00|Hquest:"..DBquetes2_numquete_old..":-1|h["..snomquete.."]|h|r");
					DBquetes2[DBquetes2_numquete_old] = {};
					DBquetes2[DBquetes2_numquete_old][44] = DBCS_date().."@"..DBCS_time();
				end
				DBquetes2[DBquetes2_numquete_old][0] = snomquete;
				bbon = false;
				inbligne = DBquetes2_Tooltip1:NumLines();
				bobj = false;
				iobj = 0;
				while ( bbon == false and i < inbligne ) do
					i = i + 1 ;
					sobjectif = _G["DBquetes2_Tooltip1TextLeft"..i]:GetText();
					if ( sobjectif ) then
						if ( sobjectif == "Conditions\194\160:" ) then
							bobj = true;
							--bbon = true;
						elseif ( sobjectif == "Vous effectuez cette qu\195\170te" ) then
						elseif ( sobjectif == " " ) then
						elseif ( bobj == true ) then
							iobj = iobj + 1;
							DBquetes2[DBquetes2_numquete_old][30] = iobj;
							if ( DBquetes2[DBquetes2_numquete_old][30+iobj] and strlen(DBquetes2[DBquetes2_numquete_old][30+iobj]) > strlen(sobjectif) ) then
							else
								DBquetes2[DBquetes2_numquete_old][30+iobj] = sobjectif;
							end
DEFAULT_CHAT_FRAME:AddMessage("quete "..DBquetes2_numquete_old.." : objectif "..iobj.." = "..(sobjectif or ""));
						else
							if ( bobj == false ) then
								DBquetes2[DBquetes2_numquete_old][1] = sobjectif;
								--bbon = true;
							end
						end
					else
					end
				end
			end
		else
			--DBquetes2[DBquetes2_numquete_old] = nil;
		end
		if ( DBquetes2[DBquetes2_numquete_old] == nil ) then
			DBquetes2[DBquetes2_numquete_old] = nil;
		end
	end
	icas = 2;
	--	cas 1 ( tester toutes les quetes inconnues )
	if ( icas == 1 ) then
		bbon = false;
		while ( bbon == false ) do
			if ( DBquetes2[inum] ) then
				inum = inum + 1;
			else
				bbon = true;
			end
		end
	end
	--	cas 2	( numéro suivant ) ( cad : toutes les quetes, util après une nouvelle version )
	if ( icas == 2 ) then
		--DBquetes2_numquete_old = inum;
	end
	--	cas 3	 ( recherche des sous-objectifs incomplets )
	if ( icas == 3 ) then
		bbon = false;
		while ( bbon == false ) do
			if ( DBquetes2[inum] ) then
				if ( DBquetes2[inum][30] and DBquetes2[inum][30] > 0 ) then
					for j = 1 , DBquetes2[inum][30] do
						ipos = strfind(DBquetes2[inum][30+j],"-   x\194\160");
						if ( ipos ) then
							bbon = true;
						end
					end
					if ( bbon == false ) then
						inum = inum + 1;
					end
				else
					inum = inum + 1;
				end
			else
				inum = inum + 1;
			end
			if ( inum > DBquetes2_numquete_max ) then
				bbon = true;
			end
		end
	end
	DBquetes2_numquete_old = inum;

	if ( bnil == true ) then
		if ( iafficher == 1 ) then
			DEFAULT_CHAT_FRAME:AddMessage("quete "..inum.." : |cffffff00|Hquest:"..inum..":-1|h[blabla]|h|r");
		end
		DBquetes2_Tooltip1TextLeft1:SetText(nil);
		DBquetes2_Tooltip1:SetOwner(UIParent,"ANCHOR_CURSOR");
		DBquetes2_Tooltip1:SetHyperlink("quest:"..inum..":0");
		DBquetes2_Tooltip1:Show();
		if ( iafficher == 1 ) then
		else
			DBquetes2_Tooltip1:Hide();
		end
	end

end

--/script DBQS2_enreg_quete_tester();
function DBQS2_enreg_quete_tester(iafficher)

local i = 0;
local snomquete;
local ipos;
local bbon;
local inbligne;
local bobj;
local iobj;
local sobjectif;
local battente;
local soldnomquete;

	if ( iafficher == nil ) then
		iafficher = 1;
	end

	battente = false;
	iobj = 0;
	snomquete = nil;
	if ( DBquetes2_numquete_old > 0 and DBquetes2_Tooltip1:IsShown() ) then
		i = i + 1;
		snomquete = _G["DBquetes2_Tooltip1TextLeft"..i]:GetText();
		if ( snomquete ) then
			if ( DBquetes2[DBquetes2_numquete_old] ) then
				if ( DBquetes2[DBquetes2_numquete_old][0] == snomquete ) then
				else
					soldnomquete = DBquetes2[DBquetes2_numquete_old][0];
					DBquetes2[DBquetes2_numquete_old][0] = snomquete;
--DEFAULT_CHAT_FRAME:AddMessage("modif nom quete "..DBquetes2_numquete_old.." : "..DBquetes2[DBquetes2_numquete_old][0].." -> "..DBQS2_lienquetebynum_nomquete(DBquetes2_numquete_old));
DEFAULT_CHAT_FRAME:AddMessage("modif nom quete "..DBquetes2_numquete_old.." : "..soldnomquete.." -> "..DBQS2_lienquetebynum_nomquete(DBquetes2_numquete_old));
				end
			end
			--ipos = strfind(snomquete,"<",1);
			--if ( ipos == nil ) then
			--	ipos = strfind(snomquete,"%[",1);
			--end
			--if ( ipos ) then
			--	battente = true;
			--	--DBquetes2[DBquetes2_numquete_old] = nil;
			--	--if ( iafficher == 1 ) then
			--	--	DEFAULT_CHAT_FRAME:AddMessage("quete "..DBquetes2_numquete_old.." : |cffffff00|Hquest:"..DBquetes2_numquete_old..":-1|h["..snomquete.."]|h|r");
			--	--end
			--else
				--if ( iafficher == 1 ) then
				--	DEFAULT_CHAT_FRAME:AddMessage("quete "..DBquetes2_numquete_old.." : |cffffff00|Hquest:"..DBquetes2_numquete_old..":-1|h["..snomquete.."]|h|r");
				--end
				if ( DBquetes2[DBquetes2_numquete_old] == nil ) then
					DEFAULT_CHAT_FRAME:AddMessage("nouvelle quete "..DBquetes2_numquete_old.." : |cffffff00|Hquest:"..DBquetes2_numquete_old..":-1|h["..snomquete.."]|h|r");
					DBquetes2[DBquetes2_numquete_old] = {};
					DBquetes2[DBquetes2_numquete_old][0] = snomquete;
					DBquetes2[DBquetes2_numquete_old][44] = DBCS_date().."@"..DBCS_time();
				end
				--DBquetes2[DBquetes2_numquete_old][0] = snomquete;
				bbon = false;
				inbligne = DBquetes2_Tooltip1:NumLines();
				bobj = false;
				iobj = 0;
				while ( bbon == false and i < inbligne ) do
					i = i + 1 ;
					sobjectif = _G["DBquetes2_Tooltip1TextLeft"..i]:GetText();
					if ( sobjectif ) then
						if ( sobjectif == "Conditions\194\160:" ) then
							bobj = true;
							--bbon = true;
							DEFAULT_CHAT_FRAME:AddMessage("quete "..DBquetes2_numquete_old.." : ligne condition trouvee");
						elseif ( sobjectif == "Vous effectuez cette qu\195\170te" ) then
						elseif ( sobjectif == " " ) then
						elseif ( bobj == true ) then
							iobj = iobj + 1;
							--DEFAULT_CHAT_FRAME:AddMessage("quete "..DBquetes2_numquete_old.." : objectif "..iobj);
							--DEFAULT_CHAT_FRAME:AddMessage("quete "..DBquetes2_numquete_old.." : objectif "..iobj.." = "..sobjectif);
							DEFAULT_CHAT_FRAME:AddMessage("objectif "..iobj.." = "..sobjectif);
							--ipos = strfind(sobjectif," -   x\194\160");
							ipos = strfind(sobjectif," -  ");
							if ( ipos ) then
								battente = true;
							else
								DBquetes2[DBquetes2_numquete_old][30+iobj] = sobjectif;
							end
							DBquetes2[DBquetes2_numquete_old][30] = iobj;
							--if ( DBquetes2[DBquetes2_numquete_old][30+iobj] and strlen(DBquetes2[DBquetes2_numquete_old][30+iobj]) > strlen(sobjectif) ) then
							--else
							--	DBquetes2[DBquetes2_numquete_old][30+iobj] = sobjectif;
							--end
						else
							if ( bobj == false ) then
								--DEFAULT_CHAT_FRAME:AddMessage("objectif : "..(sobjectif or ""));
								DBquetes2[DBquetes2_numquete_old][1] = sobjectif;
							--	--bbon = true;
							end
						end
					else
					end
				end
			--end
		else
			--DBquetes2[DBquetes2_numquete_old] = nil;
		end
		--if ( DBquetes2[DBquetes2_numquete_old] == nil ) then
		--	DBquetes2[DBquetes2_numquete_old] = nil;
		--end
	end

	if ( iafficher == 1 ) then
		if ( battente == false ) then
			if ( iobj > 0 ) then
				DEFAULT_CHAT_FRAME:AddMessage("la quete "..DBquetes2_numquete_old.." est valide avec "..iobj.." objectifs");
			elseif ( snomquete ) then
				DEFAULT_CHAT_FRAME:AddMessage("la quete "..DBquetes2_numquete_old.." est valide");
			else
				DEFAULT_CHAT_FRAME:AddMessage("la quete "..DBquetes2_numquete_old.." n'existe pas encore");
			end
		else
			if ( iobj > 0 ) then
				DEFAULT_CHAT_FRAME:AddMessage("la quete "..DBquetes2_numquete_old.." est invalide avec "..iobj.." objectifs");
			elseif ( snomquete ) then
				DEFAULT_CHAT_FRAME:AddMessage("la quete "..DBquetes2_numquete_old.." est invalide");
			else
				DEFAULT_CHAT_FRAME:AddMessage("la quete "..DBquetes2_numquete_old.." n'existe pas encore");
			end
		end
	else
	end
	return battente;

end

--/script DBQS2_nivquete_ds_nivquetepourlink()
function DBQS2_nivquete_ds_nivquetepourlink()

local inum;

	for inum, _ in pairs(DBquetes2) do
		DBquetes2[inum][-2] = DBquetes2[inum][3];
		DBquetes2[inum][3] = nil;
	end

end

--/script DBQS2_compter_quetes()
function DBQS2_compter_quetes()

local i;
local inum;
local j;

	i = 0;
	j = 0;
	for inum, _ in pairs(DBquetes2) do
		i = i + 1;
		if ( inum > j ) then
			j = inum;
		end
	end
	DEFAULT_CHAT_FRAME:AddMessage("nb quete = "..i);		--	6394
	DEFAULT_CHAT_FRAME:AddMessage("num quete max = "..j);	--	11955

end

--/script DBQS2_compter_quetes_avec_niveau()
function DBQS2_compter_quetes_avec_niveau()

local i;
local inum;
local j;
local k;

	i = 0;
	j = 0;
	k = 0;
	for inum, _ in pairs(DBquetes2) do
		i = i + 1;
		if ( inum > j ) then
			j = inum;
		end
		if ( DBquetes2[inum][-2] ) then
			k = k + 1;
		end
	end
	DEFAULT_CHAT_FRAME:AddMessage("nb quete = "..i);					--	6394		--	6581
	DEFAULT_CHAT_FRAME:AddMessage("num quete max = "..j);				--	11955
	DEFAULT_CHAT_FRAME:AddMessage("nb quete avec niveau = "..k);		--

end

--/script DBQS2_vider_quete_nul(12000);
function DBQS2_vider_quete_nul(imax)

local i;

	for i = 1 , imax do
		if ( DBquetes2[i] ) then
		else
			DBquetes2[i] = nil;
		end
	end

end

function DBQS2_tester_niveau_quete_niv(inum,iniv)

local smessage;
local i;
local sjoueur;

--DBQS2_joueur
	if ( DBquetes2[inum] and DBquetes2[inum][0] ) then
		sjoueur = UnitName("player");
		DBquetes2_numquete = inum;
		DBquetes2_config["numquete"] = inum;
		DBquetes2_numquete_niv = iniv;
		DBquetes2_config["numquete_niv"] = iniv;
DEFAULT_CHAT_FRAME:AddMessage("iniv = "..iniv);
		smessage = "@DBQS2@QT01@"..inum..":"..iniv.."@|cffff2020|Hquest:"..inum..":"..iniv.."|h["..DBquetes2[inum][0].."]|h|r";
		SendChatMessage(smessage,"WHISPER",this.language,sjoueur);
	end

end

--/script DBQS2_joueur = UnitName("player");
--/script DBQS2_tester_niveau_quete(11955)
--/script DBQS2_tester_niveau_quete(11666)
--/script DBQS2_tester_niveau_quete(11523)
--/script DBQS2_tester_niveau_quete(10958)
--/script DBQS2_tester_niveau_quete(9493)
--/script DBQS2_tester_niveau_quete(8903)
--/script DBQS2_tester_niveau_quete(8871)
--/script DBQS2_tester_niveau_quete(8870)
--/script DBQS2_tester_niveau_quete(398)
--/script DBQS2_tester_niveau_quete(5)
--/script DBQS2_afficherquete(8871)
--/script DBQS2_afficherquete(11666)
function DBQS2_tester_niveau_quete(inum)

local smessage;
local i;
local sjoueur;

--DBQS2_joueur
	if ( DBquetes2[inum] and DBquetes2[inum][0] ) then
		sjoueur = UnitName("player");
		for i = -2 , 95 do
			--smessage = "|cffffff00|Hquest:"..inum..":"..i.."|h["..DBquetes2[inum][0].."]|h|r";
			smessage = "@DBQS2@QT01@"..inum..":"..i.."@|cffff2020|Hquest:"..inum..":"..i.."|h["..DBquetes2[inum][0].."]|h|r";
			--SendAddonMessage("DBQS2",smessage,"WHISPER",sjoueur);
			SendChatMessage(smessage,"WHISPER",this.language,sjoueur);
		end
	end

end

--/script DBQS2_tester_niveau_unequete();
function DBQS2_tester_niveau_unequete()

local i;
local bbon;
local sdate;
--local sdatedujour;

	--sdatedujour = date("%Y%m%d");
	bbon = false;
	for i = DBquetes2_numquete, DBquetes2_numquete_max do
		if ( bbon == false ) then
			DBQS2_enreg_DBquetes2_numquete(i+1);
--DEFAULT_CHAT_FRAME:AddMessage("num quete = "..i);		--	6394
			if ( DBquetes2 and DBquetes2[i] and DBquetes2[i][-2] == nil ) then
				--sdate = DBquetes2[i][-1];
				--if ( sdate == nil or tonumber(sdatedujour) > tonumber(sdate) ) then
					bbon = true;
DEFAULT_CHAT_FRAME:AddMessage("quete "..i.." : |cffffff00|Hquest:"..i..":-1|h["..DBquetes2[i][0].."]|h|r");
					--DBquetes2[i][-1] = sdatedujour;
					DBQS2_tester_niveau_quete(i);
				--end
			end
		end
	end

end

function DBQS2_tester_niveau_unequete_niv()

local i;
local bbon;
local sdate;

	if ( DBquetes2_numquete_niv > 94 ) then
		DBQS2_enreg_DBquetes2_numquete(DBquetes2_numquete+1);
		bbon = false;
		for i = DBquetes2_numquete, DBquetes2_numquete_max do
			if ( bbon == false ) then
				DBQS2_enreg_DBquetes2_numquete(i);
				if ( DBquetes2 and DBquetes2[i] and DBquetes2[i][-2] == nil ) then
					bbon = true;
DEFAULT_CHAT_FRAME:AddMessage("-------------------------------------------------------------------------");
DEFAULT_CHAT_FRAME:AddMessage("quete "..i.." : |cffffff00|Hquest:"..i..":-1|h["..DBquetes2[i][0].."]|h|r");
				end
			end
		end
		if ( bbon == false ) then
			DBquetes2_numquete = -1;
		end
	else
		DBquetes2_numquete_niv = DBquetes2_numquete_niv + 1;
		DBQS2_tester_niveau_quete_niv(DBquetes2_numquete,DBquetes2_numquete_niv);
	end

end

--/script DBQS2_enreg_DBquetes2_numquete(1000);
--/script DBQS2_enreg_DBquetes2_numquete(0000);

--/script DBQS2_vider_datequetetest();
function DBQS2_vider_datequetetest()

local i;

	for i = 0, DBquetes2_numquete_max do
		if ( DBquetes2 and DBquetes2[i] ) then
			DBquetes2[i][-1] = nil;
		end
	end

end

--	enreg 02	=	0(76) + 1 + 20(0) + 1 + 21(0) + 1 + 26(0) + 1

--/script DBquetes2_strlen_nomquete();
function DBquetes2_strlen_nomquete()

local inumquete;
local ilen_sav = 0;
local ilen;

	for inumquete, _ in pairs(DBquetes2) do
		if ( DBquetes2[inumquete][0] ) then
			ilen = strlen(DBquetes2[inumquete][0]);
			if ( ilen > ilen_sav ) then
				ilen_sav = ilen;
			end
		end
	end
DEFAULT_CHAT_FRAME:AddMessage("nom quete le + long : "..ilen_sav);

end

--/script DBquetes_strlen_categorie();
function DBquetes_strlen_categorie()

local snomquete;
local i;
local ilen_sav = 0;
local ilen;

	for snomquete, _ in pairs(DBQS) do
		for i = 1 , DBQS[snomquete].nb do
			if ( DBQS[snomquete][i][20] ) then
				ilen = strlen(DBQS[snomquete][i][20]);
				if ( ilen > ilen_sav ) then
					ilen_sav = ilen;
				end
			end
		end
	end
DEFAULT_CHAT_FRAME:AddMessage("categorie quete le + long : "..ilen_sav);

end

--/script DBquetes_strlen_type();
function DBquetes_strlen_type()

local snomquete;
local i;
local ilen_sav = 0;
local ilen;

	for snomquete, _ in pairs(DBQS) do
		for i = 1 , DBQS[snomquete].nb do
			if ( DBQS[snomquete][i][21] ) then
				ilen = strlen(DBQS[snomquete][i][21]);
				if ( ilen > ilen_sav ) then
					ilen_sav = ilen;
				end
			end
		end
	end
DEFAULT_CHAT_FRAME:AddMessage("type quete le + long : "..ilen_sav);

end

--/script DBquetes_strlen_categorietemp();
function DBquetes_strlen_categorietemp()

local snomquete;
local i;
local ilen_sav = 0;
local ilen;

	for snomquete, _ in pairs(DBQS) do
		for i = 1 , DBQS[snomquete].nb do
			if ( DBQS[snomquete][i][26] ) then
				ilen = strlen(DBQS[snomquete][i][26]);
				if ( ilen > ilen_sav ) then
					ilen_sav = ilen;
				end
			end
		end
	end
DEFAULT_CHAT_FRAME:AddMessage("categorietemp quete le + long : "..ilen_sav);

end

--/script Dbquetes2_dev_testmapquest();
--function Dbquetes2_dev_testmapquest()
--
--local numEntries;
--local i;
--local questId;
--local questLogIndex;
--local title, level, questTag, suggestedGroup, isHeader, isCollapsed, isComplete, isDaily;
--
--	numEntries = QuestMapUpdateAllQuests();
--	for i = 1, numEntries do
--		questId, questLogIndex = QuestPOIGetQuestIDByVisibleIndex(i);
--		if ( questLogIndex and questLogIndex > 0 ) then
--			title, level, questTag, suggestedGroup, isHeader, isCollapsed, isComplete, isDaily = GetQuestLogTitle(questLogIndex);
--		end
--	end
--
--end
